2009年7月27日

[plamo:29983] Re: GNOMEパッケージインストール

加藤泰文です.

>>> On Mon, 27 Jul 2009 00:05:21 +0900
in message "[plamo:29977] GNOMEパッケージインストール"
M.H-san wrote:

> 1. /usr/bin/update-mime-database /usr/share/mime
> を実行しないと、アイコンなどが表示されなかった。


XFce4 環境ですが,私も思いっきりハマりました.(^_^;)
# ~/.local/share 以下あたりでも実行したかなあ.

> 2. /etc/passwd の gdm のディレクトリを /var/gdm に変更したら、
> chown root:gdm /var/gdm しないとエラーダイアログが出る。

> gdm は前のバージョンの方が良いですね。
> どうすれば root にログイン出来るんでしょうか ^^;

2.24 以降で変わっているみたいですね.gdmsetup も消えてます.私は試して
ませんが,2.24 (Fedora 10) の例がここに.
http://www.os-museum.com/linux/fedora10/fedora10.htm

> 3. xrdb -merge ~/.Xdefaults されないので、
> ln -sf ~/.Xdefaults ~/.Xresources しておいた方がいい。

> 古い形式のXアプリを使わないんだったらほとんど関係ないですが。
> # emacs は GTK+2 or Qt4 な GUI にした方が良さそう。

contrib の emacs-snapshot パッケージをどーぞ.:)

> 4. /usr/libexec/polkit-gnome-authentication-agent-1 が起動しない。

> ldd で見ると、
> libpolkit-agent-1.so.0 => not found
> libpolkit-gobject-1.so.0 => not found
> になっています。polkit-0.92 ?

> 「権限の管理」?は、/etc/PolicyKit/PolicyKit.conf を
> 一般ユーザー名で yes にしていれば使わなくもいい筈。

これはおっしゃる通りで,PolicyKit.conf をいじらなくても OK になりまし
た.この ML で話題にしてなかったっけ? (^_^;)

xserver と intel は手元では問題になってません.以前ここで教えていただ
いた PAE カーネルの影響かな? :) (3D はダメダメかも知れませんが)

---

私は Gnome でもないので,gdm 面倒になってやめちゃいました.まあ,以前
のように runlevel 3 でやってもいいんですが,代わりに slim というのをパッ
ケージ作って使ってます.
ftp://plamo.linet.gr.jp/pub/Plamo-test/contrib-4.6/slim-1.3.1-i586-P1.tgz
http://slim.berlios.de/

ただし,この slim,かなり低機能みたいで,xdm 以下とか...
http://wassr.jp/user/iratqq/statuses/BPWZhNgOHm
http://wassr.jp/user/iratqq/statuses/Qc03oBHPXg

# kill 送ったりする機能は Desktop 環境の方にないのかな?

--
==============================================
(((( 加藤泰文
○-○ karma @ jazz.email.ne.jp
==============================================
(Web Page) http://www.ne.jp/asahi/ka/to/
==============================================

投稿者 xml-rpc : 2009年7月27日 11:50
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/87049
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。